Package net.shibboleth.idp.plugin.authn.webauthn.metadata

# Class AaguidEntry

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.metadata.AaguidEntry

public class AaguidEntry extends Object
A entry in the Passkeys AAGUID JSON file. Used for display purposes only.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`iconDark`
The base64 SVG data encoded dark icon for this provider.
`private String`
`iconLight`
The base64 SVG data encoded light icon for this provider.
`private String`
`name`
The name of the authenticator/provider.

## Constructor Summary

Constructors
Constructor
Description
`AaguidEntry()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getIconDark()`
Get the base64 SVG data encoded dark icon for this provider.
`String`
`getIconLight()`
Get the base64 SVG data encoded light icon for this provider.
`String`
`getName()`
Get the name of the authenticator/provider.
`void`
`setIconDark(String icon)`
Set the base64 SVG data encoded dark icon for this provider.
`void`
`setIconLight(String icon)`
Set the base64 SVG data encoded light icon for this provider.
`void`
`setName(String nameIn)`
Set the name of the authenticator/provider.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

private String name
The name of the authenticator/provider.

### iconDark

@JsonPropertyDescription("") private String iconDark
The base64 SVG data encoded dark icon for this provider.

### iconLight

@JsonPropertyDescription("") private String iconLight
The base64 SVG data encoded light icon for this provider.

## Constructor Details

### AaguidEntry

public AaguidEntry()

## Method Details

### getName

public String getName()
Get the name of the authenticator/provider.

Returns:
  the name

### setName

public void setName(String nameIn)
Set the name of the authenticator/provider.

Parameters:
  `nameIn` - the name of the authenticator/provider

### getIconDark

public String getIconDark()
Get the base64 SVG data encoded dark icon for this provider.

Returns:
  the icon

### setIconDark

public void setIconDark(String icon)
Set the base64 SVG data encoded dark icon for this provider.

Parameters:
  `icon` - the dark icon

### getIconLight

public String getIconLight()
Get the base64 SVG data encoded light icon for this provider.

Returns:
  the light icon

### setIconLight

public void setIconLight(String icon)
Set the base64 SVG data encoded light icon for this provider.

Parameters:
  `icon` - the light icon